Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Interface KodoQuery

All Superinterfaces:
  Query, kodo.kernel.QueryFlushModes, kodo.kernel.QueryLanguages, Serializable

    public interface KodoQuery

extends Query, kodo.kernel.QueryFlushModes, kodo.kernel.QueryLanguages

Interface implemented by Kodo JDO queries.

Since:
  3.0

Field Summary
`static String` | `LANG_JDO_SQL`

Fields inherited from interface javax.jdo.Query
`JDOQL, SQL`

Fields inherited from interface kodo.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Fields inherited from interface kodo.kernel.QueryLanguages
`LANG_JDOQL, LANG_JPQL, LANG_METHODQL, LANG_SQL`

Method Summary
`void` | `addAggregateListener(kodo.kernel.exps.AggregateListener listener)` Register an aggregate listener for the query.
`void` | `addFilterListener(kodo.kernel.exps.FilterListener listener)` Register a filter listener for the query.
`Class` | `getCandidateClass()` Return the class of the objects that this query will return, or `null` if this information is not available / not relevant.
`Collection` | `getCandidateCollection()` Return the candidate collection, or `null` if an extent was specified instead of a collection.
`Extent` | `getCandidateExtent()` Return the candidate extent, or `null` if a collection was specified instead of an extent.
`String[]` | `getDataStoreActions(Map params)` Returns a description of the commands that will be sent to the datastore in order to execute this query.
`long` | `getEndRange()` Return the 0-based exclusive end index for the returned results, or `Long.MAX_VALUE` for no limit.
`String` | `getFilter()` Return the filter that this query has been configured with.
`String` | `getGrouping()` Return the grouping expression for this query.
`String` | `getImports()` The import declaration.
`String` | `getLanguage()` Return the language of this query.
`String` | `getOrdering()` The ordering expression.
`String` | `getParameters()` The declared parameters.
`String` | `getQueryString()` Return a single-string representation of the query, if applicable.
`String` | `getResult()` Return the result expression set for this query.
`Class` | `getResultClass()` Returns the result class that has been set through `Query.setResultClass(java.lang.Class)`, or null if none.
`long` | `getStartRange()` Return the 0-based start index for the returned results.
`String` | `getVariables()` The declared variables.
`boolean` | `hasSubclasses()` Whether query results will include subclasses of the candidate class.
`boolean` | `isUnique()` The unique flag.
`void` | `removeAggregateListener(kodo.kernel.exps.AggregateListener listener)` Remove an aggregate listener from the query.
`void` | `removeFilterListener(kodo.kernel.exps.FilterListener listener)` Remove a filter listener from the query.
`long` | `updatePersistentAll()` Issue the update query.
`long` | `updatePersistentAll(Map params)` Issue the update query.
`long` | `updatePersistentAll(Object[] params)` Issue the update query.

Methods inherited from interface javax.jdo.Query
`addExtension, close, closeAll, compile, declareImports, declareParameters, declareVariables, deletePersistentAll, deletePersistentAll, deletePersistentAll, execute, execute, execute, execute, executeWithArray, executeWithMap, getFetchPlan, getIgnoreCache, getPersistenceManager, isUnmodifiable, setCandidates, setCandidates, setClass, setExtensions, setFilter, setGrouping, setIgnoreCache, setOrdering, setRange, setRange, setResult, setResultClass, setUnique, setUnmodifiable`

Field Detail

### LANG_JDO_SQL

    static final String LANG_JDO_SQL

See Also:
  Constant Field Values

Method Detail

### getLanguage

    String getLanguage()

  Return the language of this query.

  Since:
    3.1

### addFilterListener

    void addFilterListener(kodo.kernel.exps.FilterListener listener)

  Register a filter listener for the query.

### removeFilterListener

    void removeFilterListener(kodo.kernel.exps.FilterListener listener)

  Remove a filter listener from the query.

### addAggregateListener

    void addAggregateListener(kodo.kernel.exps.AggregateListener listener)

  Register an aggregate listener for the query.

### removeAggregateListener

    void removeAggregateListener(kodo.kernel.exps.AggregateListener listener)

  Remove an aggregate listener from the query.

### getDataStoreActions

    String[] getDataStoreActions(Map params)

  Returns a description of the commands that will be sent to the datastore in order to execute this query. This will typically be in the native query language of the database (e.g., SQL).

  Parameters:
    `params` - the named parameter map for the query invocation
  Since:
    3.2

### getCandidateExtent

    Extent getCandidateExtent()

  Return the candidate extent, or `null` if a collection was specified instead of an extent.

### getCandidateCollection

    Collection getCandidateCollection()

  Return the candidate collection, or `null` if an extent was specified instead of a collection.

### getCandidateClass

    Class getCandidateClass()

  Return the class of the objects that this query will return, or `null` if this information is not available / not relevant.

### hasSubclasses

    boolean hasSubclasses()

  Whether query results will include subclasses of the candidate class.

### getQueryString

    String getQueryString()

  Return a single-string representation of the query, if applicable.

### getFilter

    String getFilter()

  Return the filter that this query has been configured with.

### getOrdering

    String getOrdering()

  The ordering expression.

### getImports

    String getImports()

  The import declaration.

### getParameters

    String getParameters()

  The declared parameters.

### getVariables

    String getVariables()

  The declared variables.

### isUnique

    boolean isUnique()

  The unique flag.

### getResult

    String getResult()

  Return the result expression set for this query.

### getResultClass

    Class getResultClass()

  Returns the result class that has been set through `Query.setResultClass(java.lang.Class)`, or null if none.

### getGrouping

    String getGrouping()

  Return the grouping expression for this query.

### getStartRange

    long getStartRange()

  Return the 0-based start index for the returned results.

### getEndRange

    long getEndRange()

  Return the 0-based exclusive end index for the returned results, or `Long.MAX_VALUE` for no limit.

### updatePersistentAll

    long updatePersistentAll()

  Issue the update query.

  Returns:
    the number of objects modified
  Since:
    4.0

### updatePersistentAll

    long updatePersistentAll(Object[] params)

  Issue the update query.

  Returns:
    the number of objects modified
  Since:
    4.0

### updatePersistentAll

    long updatePersistentAll(Map params)

  Issue the update query.

  Returns:
    the number of objects modified
  Since:
    4.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.